[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataSource.IsLinkedTo

Check if a dataset is linked to a certain dataset

## Declaration

Source position: db.pas line 1929

`public function TDataSource.IsLinkedTo(`
`ADataset: TDataSet`
`):Boolean;`

## Arguments

`ADataset` |  | Dataset to check

## Function result

True if the datasource is linked to ADataset

## Description

IsLinkedTo checks if it is somehow linked to ADataset: it checks the Dataset property, and returns True if it is the same. If not, it continues by checking any detail dataset fields that the dataset possesses (recursively). This function can be used to detect circular links in e.g. master-detail relationships.

## See also

TDatasource.Dataset |  | Dataset this datasource is connected to